package com.tarena.oss.admin.dao;

import java.util.Collection;

import com.tarena.oss.admin.pojo.Admin;


public interface AdminMgmtDAO {
	Admin validate(String userName,String password);
	void insertAdmin(Admin a);
	void updateAdmin(Admin a);
	void deleteAdmin(Admin a);
	Collection<Admin> queryadmins();
	Collection<Admin> queryadmins(String cond);
	Admin queryadmin(Integer id);
	Collection<Admin> queryadmins(String cond,int currentPage);
	int queryPricingCnt(String cond);
}
